summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-02-15 14:17:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-02-15 14:17:53 +0000
commit5120c9332b9e7afa34007020e3d34006547cbc85 (patch)
treee35d9c06bf2a0b1b707767010a8d250e1f3332a2 /testing
parent0e71c93dd9acbfb1fc82a4e949a3c59cd3101d06 (diff)
downloadaports-5120c9332b9e7afa34007020e3d34006547cbc85.tar.bz2
aports-5120c9332b9e7afa34007020e3d34006547cbc85.tar.xz
testing/libverto: new aport
Main loop abstraction library https://fedorahosted.org/libverto/
Diffstat (limited to 'testing')
-rw-r--r--testing/libverto/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/testing/libverto/APKBUILD b/testing/libverto/APKBUILD
new file mode 100644
index 000000000..64dc5dfd8
--- /dev/null
+++ b/testing/libverto/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor:
+# Maintainer:
+pkgname=libverto
+pkgver=0.2.5
+pkgrel=0
+pkgdesc="Main loop abstraction library"
+url="https://fedorahosted.org/libverto/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev glib-dev libevent-dev libev-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-libev $pkgname-libevent $pkgname-glib"
+source="http://fedorahosted.org/releases/l/i/libverto/libverto-$pkgver.tar.gz"
+
+_builddir="$srcdir"/libverto-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --with-libev \
+ --with-libevent \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+_mv_backend() {
+ pkgdesc="$1 driver for libverto"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libverto-$1.so.* "$subpkgdir"/usr/lib/
+}
+
+libev() { _mv_backend libev; }
+libevent() { _mv_backend libevent; }
+glib() { _mv_backend glib; }
+
+md5sums="144fb8f00759ef8ad71c472333847f03 libverto-0.2.5.tar.gz"
+sha256sums="b249067e91a98a5a44ff958d77c2e5a45de697d08dfd22800aa760d752d7a6ce libverto-0.2.5.tar.gz"
+sha512sums="d57a7f86e714d3fbed391984de3356d8a2769f846985769c1be7d881647c1be95a5fc6a82bba1660ef3241aa1a40150b5e005af6f35dc32473facfdea49c556e libverto-0.2.5.tar.gz"